apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: nexus-0.0.0-8a2426e5
  namespace: asag
spec:
  clusters:
    - flags:
        - from: value
          key: v1_role
          to: label
          value: nexus
        - from: value
          key: delay_final_config
          to: annotation
          value: true
      name: nexus
      podspec:
        containers:
          - image: aep/base_jammy
            name: nexus
      provides:
        - exposed: true
          name: nexus
          network: loadbalanced
          servicespec:
            ports:
              - name: https
                port: 443
                protocol: TCP
                targetPort: 443
              - name: http
                port: 80
                protocol: TCP
                targetPort: 80
      sizing:
        increment: 0
        initial: 1
        maximum: 1
        minimum: 1
  dependencies:
    operator:
      name: nexus-operator
      vendor: asag
      version: 0.0.1
  includes:
    - name: defaults-service
      vendor: asag
      version: 0.3.1
  name: nexus
  settings:
    - name: environment
      schema:
        default: nexus_prod
  version: 0.0.0-8a2426e5
